import { Paging, PagingMetadata, Query, Sorting, SortOrder, AgentMarkedPayload, AgentOfferStatusEnum, CTAClickPayload, EventCounts, EventsSummary, EventType, ListEventsSummaryRequest, ListEventsSummaryResponse, OfferEvent, QueryEventsRequest, QueryEventsResponse, ReportEventRequest, ReportEventResponse, SummaryFilter, PlatformEnum } from './types.impl';
export declare function aOfferEvent(overrideObject?: Partial<OfferEvent>): OfferEvent;
export declare function aEventType(enumFirstItem?: EventType): EventType;
export declare function aAgentMarkedPayload(overrideObject?: Partial<AgentMarkedPayload>): AgentMarkedPayload;
export declare function aAgentOfferStatusEnum(enumFirstItem?: AgentOfferStatusEnum): AgentOfferStatusEnum;
export declare function aCTAClickPayload(overrideObject?: Partial<CTAClickPayload>): CTAClickPayload;
export declare function aPlatformEnum(enumFirstItem?: PlatformEnum): PlatformEnum;
export declare function aReportEventRequest(overrideObject?: Partial<ReportEventRequest>): ReportEventRequest;
export declare function aReportEventResponse(overrideObject?: Partial<ReportEventResponse>): ReportEventResponse;
export declare function aListEventsSummaryRequest(overrideObject?: Partial<ListEventsSummaryRequest>): ListEventsSummaryRequest;
export declare function aSummaryFilter(overrideObject?: Partial<SummaryFilter>): SummaryFilter;
export declare function aListEventsSummaryResponse(overrideObject?: Partial<ListEventsSummaryResponse>): ListEventsSummaryResponse;
export declare function aEventsSummary(overrideObject?: Partial<EventsSummary>): EventsSummary;
export declare function aEventCounts(overrideObject?: Partial<EventCounts>): EventCounts;
export declare function aQueryEventsRequest(overrideObject?: Partial<QueryEventsRequest>): QueryEventsRequest;
export declare function aQuery(overrideObject?: Partial<Query>): Query;
export declare function aSorting(overrideObject?: Partial<Sorting>): Sorting;
export declare function aSortOrder(enumFirstItem?: SortOrder): SortOrder;
export declare function aPaging(overrideObject?: Partial<Paging>): Paging;
export declare function aQueryEventsResponse(overrideObject?: Partial<QueryEventsResponse>): QueryEventsResponse;
export declare function aPagingMetadata(overrideObject?: Partial<PagingMetadata>): PagingMetadata;
export * from '@wix/metro-common-builders';
